#ifndef BISON_PARSE_H
# define BISON_PARSE_H

#ifndef YYSTYPE
typedef union
{
  st_node * p_node;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	CMD_REGISTER	257
# define	CMD_NEXT_REG	258
# define	CMD_NEXT_SEC	259
# define	CMD_DB	260
# define	CMD_DW	261
# define	CMD_DD	262
# define	CMD_JMP_NEXT_SEC	263
# define	CMD_JMP_SEC	264
# define	CMD_JMP_OFS	265
# define	CMD_JMP_OFS_SEC	266
# define	CMD_JMP_IND	267
# define	CMD_JMP_EQ	268
# define	CMD_JMP_NEQ	269
# define	CMD_JMP_GT	270
# define	CMD_JMP_NGT	271
# define	CMD_JMP_LT	272
# define	CMD_JMP_NLT	273
# define	CMD_JMP_GTS	274
# define	CMD_JMP_NGTS	275
# define	CMD_JMP_LTS	276
# define	CMD_JMP_NLTS	277
# define	CMD_JMP_AND_Z	278
# define	CMD_JMP_AND_NZ	279
# define	CMD_JMP_OR_M	280
# define	CMD_JMP_OR_NM	281
# define	CMD_MOV	282
# define	CMD_MOV2	283
# define	CMD_MOV4	284
# define	CMD_RD_I	285
# define	CMD_WR_I	286
# define	CMD_RD_S	287
# define	CMD_ADD	288
# define	CMD_ADDC	289
# define	CMD_SUB	290
# define	CMD_SUBB	291
# define	CMD_MUL	292
# define	CMD_MULS	293
# define	CMD_AND	294
# define	CMD_OR	295
# define	CMD_XOR	296
# define	CMD_SHL	297
# define	CMD_SHR	298
# define	CMD_ROL	299
# define	CMD_ROR	300
# define	CMD_RD_PIX	301
# define	CMD_RD_OVP	302
# define	CMD_WR_PIX	303
# define	CMD_WR_OVP	304
# define	CMD_WR_PIX_LINE	305
# define	CMD_WR_OVP_LINE	306
# define	CMD_WR_PIX_QUART	307
# define	CMD_WR_OVP_QUART	308
# define	CMD_WR_PIX_CLR	309
# define	CMD_WR_OVP_CLR	310
# define	CMD_WR_PIX_SET	311
# define	CMD_WR_OVP_SET	312
# define	CMD_WR_PIX_BW	313
# define	CMD_WR_OVP_BW	314
# define	CMD_WR_PIX_SEL	315
# define	CMD_WR_OVP_SEL	316
# define	CMD_CP_BLK_PP	317
# define	CMD_CP_BLK_PO	318
# define	CMD_CP_BLK_OP	319
# define	CMD_CP_BLK_OO	320
# define	CMD_CP_BLK_PP_TR	321
# define	CMD_CP_BLK_PO_TR	322
# define	CMD_CP_BLK_OP_TR	323
# define	CMD_CP_BLK_OO_TR	324
# define	CMD_DISPLAY	325
# define	CMD_DISPLAY_CP	326
# define	CMD_DELAY_DO	327
# define	CMD_DELAY_START	328
# define	CMD_DELAY_CHECK	329
# define	CMD_DELAY_WAIT	330
# define	CMD_GET_KEYS	331
# define	CMD_GET_SNES0	332
# define	CMD_GET_SNES1	333
# define	CMD_GET_TIME	334
# define	CMD_SET_TIME	335
# define	CMD_NOP	336
# define	LABEL_CON	337
# define	IDENT_CON	338
# define	LABEL_REG	339
# define	IDENT_REG	340
# define	LABEL_ADDR	341
# define	IDENT_ADDR	342
# define	NUMBER	343
# define	CHAR	344
# define	STRING	345
# define	LBRA	346
# define	RBRA	347
# define	NOT	348
# define	MUL	349
# define	DIV	350
# define	MOD	351
# define	ADD	352
# define	SUB	353
# define	SHL	354
# define	SHR	355
# define	AND	356
# define	XOR	357
# define	OR	358
# define	SEC	359
# define	OFS	360
# define	REG	361
# define	COMMA	362
# define	SEM	363
# define	COMMENT	364
# define	UNKNOWN	365


extern YYSTYPE yylval;

#endif /* not BISON_PARSE_H */
